Bug 536739

Summary: anaconda of preupgrade can not start after reboot on ppc
Product: [Fedora] Fedora Reporter: Liam Li <lili>
Component: preupgradeAssignee: Richard Hughes <richard>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: 12CC: jlaska, wwoods, yshao
Target Milestone: ---   
Target Release: ---   
Hardware: ppc   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-12-03 22:24:04 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
yaboot.conf none

Description Liam Li 2009-11-11 02:33:01 EST
Description of problem:

install f11 and preupgrade, following these steps to upgrade:
https://fedoraproject.org/wiki/QA:Testcase_Preupgrade
run preupgrade command in terminal,when the process completes(after all packages download finished,prompt user to reboot), click Reboot,system automatically booted into f11, the anaconda did not start to finish upgrade.

Version-Release number of selected component (if applicable):
preupgrade-1.1.2-1.fc11.noarch

How reproducible:
always


Actual results:


Expected results:
reboot system, the anaconda should start to upgrade automatically
Comment 1 James Laska 2009-11-11 11:38:04 EST
Liam, can you supply the output from `preupgrade 2>&1|tee /tmp/preupgrade.log` and the /etc/yaboot.conf file prior to rebooting the system?  

Additionally, did you update your F-11 system using 'yum update' prior to running preupgrade?  Can you provide `rpm -q yaboot` as well?

I might not have time to reproduce this today, but will reply with feedback if I'm able to.  I think those 2 files should help us determine where the problem exists.
Comment 2 Liam Li 2009-11-12 05:12:45 EST
Created attachment 369170 [details]
yaboot.conf

it seems that the default boot is not upgrade, still be the original kernel.This is the reason that system can not finish upgrade automatically?
Comment 3 Liam Li 2009-11-12 05:20:52 EST
This the log of preupgrade:

/usr/lib/python2.6/site-packages/yum/__init__.py:203: UserWarning: Use .preconf instead of passing args to _getConfig
  warnings.warn('Use .preconf instead of passing args to _getConfig')
Loaded plugins: blacklist, fastestmirror, refresh-packagekit, whiteout
Detected in-progress upgrade to Rawhide
preupgrade (mirrorlist) 
  url: http://mirrors.fedoraproject.org/mirrorlist?repo=rawhide&arch=$basearch
  now: http://mirrors.fedoraproject.org/mirrorlist?repo=rawhide&arch=ppc
Loading mirror speeds from cached hostfile
 * fedora: fedora.mirrors.hkt.cc
 * updates: ftp.kddilabs.jp
Not using downloaded repomd.xml because it is older than what we have:
  Current   : Wed Nov 11 07:08:10 2009
  Downloaded: Tue Nov 10 06:46:52 2009
Fetched treeinfo from http://ftp.riken.jp/Linux/fedora/development/ppc/os//.treeinfo
treeinfo timestamp: Tue Nov 10 07:07:46 2009
/boot/upgrade/vmlinuz checksum OK
/boot/upgrade/ramdisk.image.gz checksum OK
Not enough space in /boot/upgrade to download install.img.


Checking for new repos for mirrors
 * preupgrade: ftp.kddilabs.jp


it gave information: "Not enough space in /boot/upgrade", How big of the install.img
I have about 123M in /boot partition:
#df -h
Filesystem            Size  Used Avail Use% Mounted on
/dev/mapper/VolGroup-lv_root
                       58G  4.0G   51G   8% /
/dev/sda2             194M   62M  123M  34% /boot
tmpfs                 3.8G  848K  3.8G   1% /dev/shm

#du -h /boot/*
90K     /boot/config-2.6.29.4-167.fc11.ppc64
92K     /boot/config-2.6.30.9-96.fc11.ppc64
9.0K    /boot/efika.forth
4.0K    /boot/etc
101K    /boot/grub
3.8M    /boot/initrd-2.6.30.9-96.fc11.ppc64.img
13K     /boot/lost+found
2.3M    /boot/System.map-2.6.29.4-167.fc11.ppc64
2.5M    /boot/System.map-2.6.30.9-96.fc11.ppc64
32M     /boot/upgrade
16M     /boot/vmlinuz-2.6.30.9-96.fc11.ppc64
Comment 4 Bug Zapper 2009-11-16 10:25:41 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Fedora Admin XMLRPC Client 2010-04-16 10:34:30 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Bug Zapper 2010-11-04 02:33:38 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2010-12-03 22:24:04 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.